#include<bits/stdc++.h>
using namespace std;

inline int read(){
	int ans=0,f=1;char c=getchar();
	while(!isdigit(c)){if(c=='-')f=-1;c=getchar();}
	while(isdigit(c)){ans=ans*10+c-48;c=getchar();}
	return ans*f;
}

inline void print(int x){
	if(x<0){putchar('-');x=-x;}
	if(x<10){putchar(x+48);return;}
	print(x/10);putchar(x%10+48);
	return;
}

int T;

int main(){
	freopen("assign.in", "r", stdin);
	freopen("assign.out", "w", stdout);
	return 0;
}
